/* Returns the matrix that transforms an icon of specified size into a line of specified thickness along a given vector.
*/
proc
	line_transform(vector2/vector, thickness = 1, icon_width = TileWidth, icon_height = TileHeight)
		return matrix()\
			.Translate(0, icon_height / 2)\
			.Scale(thickness / icon_width, vector.Magnitude() / icon_height)\
			.Multiply(vector.Rotation())
